Package com.io7m.idstore.server.user_view

# Class IdUViewPasswordResetConfirmRun

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdCommonInstrumentedServlet
com.io7m.idstore.server.user_view.IdUViewPasswordResetConfirmRun

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdUViewPasswordResetConfirmRun extends IdCommonInstrumentedServlet
The page that completes a password reset.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUViewPasswordResetConfirmRun(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  The page that completes a password reset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

  ### Methods inherited from class com.io7m.idstore.server.http.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUViewPasswordResetConfirmRun

    public IdUViewPasswordResetConfirmRun(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    The page that completes a password reset.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### service

    protected void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws jakarta.servlet.ServletException, IOException
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`